GuzzleHttp Psr7 Uriクラスとは何ですか?また、WindowsではIISの下でCiviCRMの死を覚悟していませんか?

私はJoomlaとIISの下で動作する開発環境をCiviCRM:masterブランチに切り替えました。今では失敗する

0クラス ‘GuzzleHttp Psr7 Uri’が見つかりません

これはLinux固有のクラスですか?そうでない場合は、どこでそれを見つけるのですか? CiviCRM
4.7.xはそれを必要としませんでした。

ベストアンサー

  1. cd to PHP install directory。
  2. composer require GuzzleHttp/psr7
  3. Add this to CiviCRM。settings。php: require_once
    $_SERVER[“PHPRC”]。 ‘/vendor/autoload。php’;

返信を残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です